

#ifdef        GLOBALS_API_CAN
    #define   EXTERN_API_CAN
    
#else
    #define   EXTERN_API_CAN     extern
#endif

#ifndef API_CAN_H_
#define API_CAN_H_
           
    
    EXTERN_API_CAN               void    Api_CAN_Init(void);    
    EXTERN_API_CAN               INT32U  Api_EXT_ID_TO_PGN(INT8U *IDR0_Add);
    EXTERN_API_CAN               INT32U  bsp_GET_EXTEND_ID(INT8U *IDR0_Add); 
    EXTERN_API_CAN               INT16U  Api_GET_STAND_ID(INT8U *IDR0_Add);
    EXTERN_API_CAN               INT8U   Api_GET_EXTID_SA(INT8U *IDR3_Add); 
    EXTERN_API_CAN     interrupt void    Api_CAN_Rev_isr(void); 
    EXTERN_API_CAN     interrupt void    Api_CAN_Wakep_isr(void);
    EXTERN_API_CAN               INT8U   Api_CANSendFrame (INT32U id,INT8U priority,INT8U length,INT8U *txdata);

#endif /* API_CAN_H_ */
